source: Makefile.in@ 00cc023

ADT aaron-thesis arm-eh ast-experimental cleanup-dtors ctor deferred_resn demangler enum forall-pointer-decay gc_noraii jacob/cs343-translation jenkins-sandbox memory new-ast new-ast-unique-expr new-env no_list persistent-indexer pthread-emulation qualifiedEnum resolv-new string with_gc
Last change on this file since 00cc023 was 00cc023, checked in by Peter A. Buhr <pabuhr@…>, 11 years ago

redo automake first attempt

  • Property mode set to 100644
File size: 22.5 KB
Line 
1# Makefile.in generated by automake 1.11.3 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6# Foundation, Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17VPATH = @srcdir@
18pkgdatadir = $(datadir)/@PACKAGE@
19pkgincludedir = $(includedir)/@PACKAGE@
20pkglibdir = $(libdir)/@PACKAGE@
21pkglibexecdir = $(libexecdir)/@PACKAGE@
22am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
23install_sh_DATA = $(install_sh) -c -m 644
24install_sh_PROGRAM = $(install_sh) -c
25install_sh_SCRIPT = $(install_sh) -c
26INSTALL_HEADER = $(INSTALL_DATA)
27transform = $(program_transform_name)
28NORMAL_INSTALL = :
29PRE_INSTALL = :
30POST_INSTALL = :
31NORMAL_UNINSTALL = :
32PRE_UNINSTALL = :
33POST_UNINSTALL = :
34subdir = .
35DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
36 $(srcdir)/Makefile.in $(srcdir)/config.h.in \
37 $(top_srcdir)/configure INSTALL automake/compile \
38 automake/depcomp automake/install-sh automake/missing \
39 automake/ylwrap
40ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
41am__aclocal_m4_deps = $(top_srcdir)/configure.ac
42am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
43 $(ACLOCAL_M4)
44am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
45 configure.lineno config.status.lineno
46mkinstalldirs = $(install_sh) -d
47CONFIG_HEADER = config.h
48CONFIG_CLEAN_FILES =
49CONFIG_CLEAN_VPATH_FILES =
50SOURCES =
51DIST_SOURCES =
52RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
53 html-recursive info-recursive install-data-recursive \
54 install-dvi-recursive install-exec-recursive \
55 install-html-recursive install-info-recursive \
56 install-pdf-recursive install-ps-recursive install-recursive \
57 installcheck-recursive installdirs-recursive pdf-recursive \
58 ps-recursive uninstall-recursive
59RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
60 distclean-recursive maintainer-clean-recursive
61AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
62 $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
63 distdir dist dist-all distcheck
64ETAGS = etags
65CTAGS = ctags
66DIST_SUBDIRS = $(SUBDIRS)
67DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
68distdir = $(PACKAGE)-$(VERSION)
69top_distdir = $(distdir)
70am__remove_distdir = \
71 if test -d "$(distdir)"; then \
72 find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
73 && rm -rf "$(distdir)" \
74 || { sleep 5 && rm -rf "$(distdir)"; }; \
75 else :; fi
76am__relativize = \
77 dir0=`pwd`; \
78 sed_first='s,^\([^/]*\)/.*$$,\1,'; \
79 sed_rest='s,^[^/]*/*,,'; \
80 sed_last='s,^.*/\([^/]*\)$$,\1,'; \
81 sed_butlast='s,/*[^/]*$$,,'; \
82 while test -n "$$dir1"; do \
83 first=`echo "$$dir1" | sed -e "$$sed_first"`; \
84 if test "$$first" != "."; then \
85 if test "$$first" = ".."; then \
86 dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
87 dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
88 else \
89 first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
90 if test "$$first2" = "$$first"; then \
91 dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
92 else \
93 dir2="../$$dir2"; \
94 fi; \
95 dir0="$$dir0"/"$$first"; \
96 fi; \
97 fi; \
98 dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
99 done; \
100 reldir="$$dir2"
101DIST_ARCHIVES = $(distdir).tar.gz
102GZIP_ENV = --best
103distuninstallcheck_listfiles = find . -type f -print
104am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
105 | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
106distcleancheck_listfiles = find . -type f -print
107ACLOCAL = @ACLOCAL@
108ALLOCA = @ALLOCA@
109AMTAR = @AMTAR@
110AUTOCONF = @AUTOCONF@
111AUTOHEADER = @AUTOHEADER@
112AUTOMAKE = @AUTOMAKE@
113AWK = @AWK@
114BACKEND_CC = @BACKEND_CC@ # C compiler used to compile Cforall programs, versus C++ compiler used to build cfa command
115CC = @CC@
116CCDEPMODE = @CCDEPMODE@
117CFA_BINDIR = @CFA_BINDIR@
118CFA_INCDIR = @CFA_INCDIR@
119CFA_LIBDIR = @CFA_LIBDIR@
120CFA_PREFIX = @CFA_PREFIX@
121CFLAGS = @CFLAGS@
122CPP = @CPP@
123CPPFLAGS = @CPPFLAGS@
124CXX = @CXX@
125CXXDEPMODE = @CXXDEPMODE@
126CXXFLAGS = @CXXFLAGS@
127CYGPATH_W = @CYGPATH_W@
128DEFS = @DEFS@
129DEPDIR = @DEPDIR@
130ECHO_C = @ECHO_C@
131ECHO_N = @ECHO_N@
132ECHO_T = @ECHO_T@
133EGREP = @EGREP@
134EXEEXT = @EXEEXT@
135GCC_PATH = @GCC_PATH@
136GREP = @GREP@
137INSTALL = @INSTALL@
138INSTALL_DATA = @INSTALL_DATA@
139INSTALL_PROGRAM = @INSTALL_PROGRAM@
140INSTALL_SCRIPT = @INSTALL_SCRIPT@
141INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
142LDFLAGS = @LDFLAGS@
143LIBOBJS = @LIBOBJS@
144LIBS = @LIBS@
145LTLIBOBJS = @LTLIBOBJS@
146MAINT = @MAINT@
147MAKEINFO = @MAKEINFO@
148MKDIR_P = @MKDIR_P@
149OBJEXT = @OBJEXT@
150PACKAGE = @PACKAGE@
151PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
152PACKAGE_NAME = @PACKAGE_NAME@
153PACKAGE_STRING = @PACKAGE_STRING@
154PACKAGE_TARNAME = @PACKAGE_TARNAME@
155PACKAGE_URL = @PACKAGE_URL@
156PACKAGE_VERSION = @PACKAGE_VERSION@
157PATH_SEPARATOR = @PATH_SEPARATOR@
158RANLIB = @RANLIB@
159SET_MAKE = @SET_MAKE@
160SHELL = @SHELL@
161STRIP = @STRIP@
162VERSION = @VERSION@
163abs_builddir = @abs_builddir@
164abs_srcdir = @abs_srcdir@
165abs_top_builddir = @abs_top_builddir@
166abs_top_srcdir = @abs_top_srcdir@
167ac_ct_CC = @ac_ct_CC@
168ac_ct_CXX = @ac_ct_CXX@
169am__include = @am__include@
170am__leading_dot = @am__leading_dot@
171am__quote = @am__quote@
172am__tar = @am__tar@
173am__untar = @am__untar@
174bindir = @bindir@
175build_alias = @build_alias@
176builddir = @builddir@
177datadir = @datadir@
178datarootdir = @datarootdir@
179docdir = @docdir@
180dvidir = @dvidir@
181exec_prefix = @exec_prefix@
182host_alias = @host_alias@
183htmldir = @htmldir@
184includedir = @includedir@
185infodir = @infodir@
186install_sh = @install_sh@
187libdir = @libdir@
188libexecdir = @libexecdir@
189localedir = @localedir@
190localstatedir = @localstatedir@
191mandir = @mandir@
192mkdir_p = @mkdir_p@
193oldincludedir = @oldincludedir@
194pdfdir = @pdfdir@
195prefix = @prefix@
196program_transform_name = @program_transform_name@
197psdir = @psdir@
198sbindir = @sbindir@
199sharedstatedir = @sharedstatedir@
200srcdir = @srcdir@
201sysconfdir = @sysconfdir@
202target_alias = @target_alias@
203top_build_prefix = @top_build_prefix@
204top_builddir = @top_builddir@
205top_srcdir = @top_srcdir@
206AUTOMAKE_OPTIONS = foreign # do not require all the GNU file names
207SUBDIRS = driver src libcfa # order important, src before libcfa because cfa-cpp used to build prelude
208EXTRA_DIST = Docs # non-source files
209all: config.h
210 $(MAKE) $(AM_MAKEFLAGS) all-recursive
211
212.SUFFIXES:
213am--refresh: Makefile
214 @:
215$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
216 @for dep in $?; do \
217 case '$(am__configure_deps)' in \
218 *$$dep*) \
219 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
220 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
221 && exit 0; \
222 exit 1;; \
223 esac; \
224 done; \
225 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
226 $(am__cd) $(top_srcdir) && \
227 $(AUTOMAKE) --foreign Makefile
228.PRECIOUS: Makefile
229Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
230 @case '$?' in \
231 *config.status*) \
232 echo ' $(SHELL) ./config.status'; \
233 $(SHELL) ./config.status;; \
234 *) \
235 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
236 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
237 esac;
238
239$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
240 $(SHELL) ./config.status --recheck
241
242$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
243 $(am__cd) $(srcdir) && $(AUTOCONF)
244$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
245 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
246$(am__aclocal_m4_deps):
247
248config.h: stamp-h1
249 @if test ! -f $@; then rm -f stamp-h1; else :; fi
250 @if test ! -f $@; then $(MAKE) $(AM_MAKEFLAGS) stamp-h1; else :; fi
251
252stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
253 @rm -f stamp-h1
254 cd $(top_builddir) && $(SHELL) ./config.status config.h
255$(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
256 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
257 rm -f stamp-h1
258 touch $@
259
260distclean-hdr:
261 -rm -f config.h stamp-h1
262
263# This directory's subdirectories are mostly independent; you can cd
264# into them and run `make' without going through this Makefile.
265# To change the values of `make' variables: instead of editing Makefiles,
266# (1) if the variable is set in `config.status', edit `config.status'
267# (which will cause the Makefiles to be regenerated when you run `make');
268# (2) otherwise, pass the desired values on the `make' command line.
269$(RECURSIVE_TARGETS):
270 @fail= failcom='exit 1'; \
271 for f in x $$MAKEFLAGS; do \
272 case $$f in \
273 *=* | --[!k]*);; \
274 *k*) failcom='fail=yes';; \
275 esac; \
276 done; \
277 dot_seen=no; \
278 target=`echo $@ | sed s/-recursive//`; \
279 list='$(SUBDIRS)'; for subdir in $$list; do \
280 echo "Making $$target in $$subdir"; \
281 if test "$$subdir" = "."; then \
282 dot_seen=yes; \
283 local_target="$$target-am"; \
284 else \
285 local_target="$$target"; \
286 fi; \
287 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
288 || eval $$failcom; \
289 done; \
290 if test "$$dot_seen" = "no"; then \
291 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
292 fi; test -z "$$fail"
293
294$(RECURSIVE_CLEAN_TARGETS):
295 @fail= failcom='exit 1'; \
296 for f in x $$MAKEFLAGS; do \
297 case $$f in \
298 *=* | --[!k]*);; \
299 *k*) failcom='fail=yes';; \
300 esac; \
301 done; \
302 dot_seen=no; \
303 case "$@" in \
304 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
305 *) list='$(SUBDIRS)' ;; \
306 esac; \
307 rev=''; for subdir in $$list; do \
308 if test "$$subdir" = "."; then :; else \
309 rev="$$subdir $$rev"; \
310 fi; \
311 done; \
312 rev="$$rev ."; \
313 target=`echo $@ | sed s/-recursive//`; \
314 for subdir in $$rev; do \
315 echo "Making $$target in $$subdir"; \
316 if test "$$subdir" = "."; then \
317 local_target="$$target-am"; \
318 else \
319 local_target="$$target"; \
320 fi; \
321 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
322 || eval $$failcom; \
323 done && test -z "$$fail"
324tags-recursive:
325 list='$(SUBDIRS)'; for subdir in $$list; do \
326 test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
327 done
328ctags-recursive:
329 list='$(SUBDIRS)'; for subdir in $$list; do \
330 test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
331 done
332
333ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
334 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
335 unique=`for i in $$list; do \
336 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
337 done | \
338 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
339 END { if (nonempty) { for (i in files) print i; }; }'`; \
340 mkid -fID $$unique
341tags: TAGS
342
343TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
344 $(TAGS_FILES) $(LISP)
345 set x; \
346 here=`pwd`; \
347 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
348 include_option=--etags-include; \
349 empty_fix=.; \
350 else \
351 include_option=--include; \
352 empty_fix=; \
353 fi; \
354 list='$(SUBDIRS)'; for subdir in $$list; do \
355 if test "$$subdir" = .; then :; else \
356 test ! -f $$subdir/TAGS || \
357 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
358 fi; \
359 done; \
360 list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
361 unique=`for i in $$list; do \
362 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
363 done | \
364 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
365 END { if (nonempty) { for (i in files) print i; }; }'`; \
366 shift; \
367 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
368 test -n "$$unique" || unique=$$empty_fix; \
369 if test $$# -gt 0; then \
370 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
371 "$$@" $$unique; \
372 else \
373 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
374 $$unique; \
375 fi; \
376 fi
377ctags: CTAGS
378CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
379 $(TAGS_FILES) $(LISP)
380 list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
381 unique=`for i in $$list; do \
382 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
383 done | \
384 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
385 END { if (nonempty) { for (i in files) print i; }; }'`; \
386 test -z "$(CTAGS_ARGS)$$unique" \
387 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
388 $$unique
389
390GTAGS:
391 here=`$(am__cd) $(top_builddir) && pwd` \
392 && $(am__cd) $(top_srcdir) \
393 && gtags -i $(GTAGS_ARGS) "$$here"
394
395distclean-tags:
396 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
397
398distdir: $(DISTFILES)
399 $(am__remove_distdir)
400 test -d "$(distdir)" || mkdir "$(distdir)"
401 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
402 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
403 list='$(DISTFILES)'; \
404 dist_files=`for file in $$list; do echo $$file; done | \
405 sed -e "s|^$$srcdirstrip/||;t" \
406 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
407 case $$dist_files in \
408 */*) $(MKDIR_P) `echo "$$dist_files" | \
409 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
410 sort -u` ;; \
411 esac; \
412 for file in $$dist_files; do \
413 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
414 if test -d $$d/$$file; then \
415 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
416 if test -d "$(distdir)/$$file"; then \
417 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
418 fi; \
419 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
420 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
421 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
422 fi; \
423 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
424 else \
425 test -f "$(distdir)/$$file" \
426 || cp -p $$d/$$file "$(distdir)/$$file" \
427 || exit 1; \
428 fi; \
429 done
430 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
431 if test "$$subdir" = .; then :; else \
432 test -d "$(distdir)/$$subdir" \
433 || $(MKDIR_P) "$(distdir)/$$subdir" \
434 || exit 1; \
435 fi; \
436 done
437 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
438 if test "$$subdir" = .; then :; else \
439 dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
440 $(am__relativize); \
441 new_distdir=$$reldir; \
442 dir1=$$subdir; dir2="$(top_distdir)"; \
443 $(am__relativize); \
444 new_top_distdir=$$reldir; \
445 echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
446 echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
447 ($(am__cd) $$subdir && \
448 $(MAKE) $(AM_MAKEFLAGS) \
449 top_distdir="$$new_top_distdir" \
450 distdir="$$new_distdir" \
451 am__remove_distdir=: \
452 am__skip_length_check=: \
453 am__skip_mode_fix=: \
454 distdir) \
455 || exit 1; \
456 fi; \
457 done
458 -test -n "$(am__skip_mode_fix)" \
459 || find "$(distdir)" -type d ! -perm -755 \
460 -exec chmod u+rwx,go+rx {} \; -o \
461 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
462 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
463 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
464 || chmod -R a+r "$(distdir)"
465dist-gzip: distdir
466 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
467 $(am__remove_distdir)
468
469dist-bzip2: distdir
470 tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
471 $(am__remove_distdir)
472
473dist-lzip: distdir
474 tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
475 $(am__remove_distdir)
476
477dist-lzma: distdir
478 tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
479 $(am__remove_distdir)
480
481dist-xz: distdir
482 tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
483 $(am__remove_distdir)
484
485dist-tarZ: distdir
486 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
487 $(am__remove_distdir)
488
489dist-shar: distdir
490 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
491 $(am__remove_distdir)
492
493dist-zip: distdir
494 -rm -f $(distdir).zip
495 zip -rq $(distdir).zip $(distdir)
496 $(am__remove_distdir)
497
498dist dist-all: distdir
499 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
500 $(am__remove_distdir)
501
502# This target untars the dist file and tries a VPATH configuration. Then
503# it guarantees that the distribution is self-contained by making another
504# tarfile.
505distcheck: dist
506 case '$(DIST_ARCHIVES)' in \
507 *.tar.gz*) \
508 GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
509 *.tar.bz2*) \
510 bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
511 *.tar.lzma*) \
512 lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
513 *.tar.lz*) \
514 lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
515 *.tar.xz*) \
516 xz -dc $(distdir).tar.xz | $(am__untar) ;;\
517 *.tar.Z*) \
518 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
519 *.shar.gz*) \
520 GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
521 *.zip*) \
522 unzip $(distdir).zip ;;\
523 esac
524 chmod -R a-w $(distdir); chmod a+w $(distdir)
525 mkdir $(distdir)/_build
526 mkdir $(distdir)/_inst
527 chmod a-w $(distdir)
528 test -d $(distdir)/_build || exit 0; \
529 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
530 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
531 && am__cwd=`pwd` \
532 && $(am__cd) $(distdir)/_build \
533 && ../configure --srcdir=.. --prefix="$$dc_install_base" \
534 $(AM_DISTCHECK_CONFIGURE_FLAGS) \
535 $(DISTCHECK_CONFIGURE_FLAGS) \
536 && $(MAKE) $(AM_MAKEFLAGS) \
537 && $(MAKE) $(AM_MAKEFLAGS) dvi \
538 && $(MAKE) $(AM_MAKEFLAGS) check \
539 && $(MAKE) $(AM_MAKEFLAGS) install \
540 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
541 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
542 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
543 distuninstallcheck \
544 && chmod -R a-w "$$dc_install_base" \
545 && ({ \
546 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
547 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
548 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
549 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
550 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
551 } || { rm -rf "$$dc_destdir"; exit 1; }) \
552 && rm -rf "$$dc_destdir" \
553 && $(MAKE) $(AM_MAKEFLAGS) dist \
554 && rm -rf $(DIST_ARCHIVES) \
555 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
556 && cd "$$am__cwd" \
557 || exit 1
558 $(am__remove_distdir)
559 @(echo "$(distdir) archives ready for distribution: "; \
560 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
561 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
562distuninstallcheck:
563 @test -n '$(distuninstallcheck_dir)' || { \
564 echo 'ERROR: trying to run $@ with an empty' \
565 '$$(distuninstallcheck_dir)' >&2; \
566 exit 1; \
567 }; \
568 $(am__cd) '$(distuninstallcheck_dir)' || { \
569 echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
570 exit 1; \
571 }; \
572 test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
573 || { echo "ERROR: files left after uninstall:" ; \
574 if test -n "$(DESTDIR)"; then \
575 echo " (check DESTDIR support)"; \
576 fi ; \
577 $(distuninstallcheck_listfiles) ; \
578 exit 1; } >&2
579distcleancheck: distclean
580 @if test '$(srcdir)' = . ; then \
581 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
582 exit 1 ; \
583 fi
584 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
585 || { echo "ERROR: files left in build directory after distclean:" ; \
586 $(distcleancheck_listfiles) ; \
587 exit 1; } >&2
588check-am: all-am
589check: check-recursive
590all-am: Makefile config.h
591installdirs: installdirs-recursive
592installdirs-am:
593install: install-recursive
594install-exec: install-exec-recursive
595install-data: install-data-recursive
596uninstall: uninstall-recursive
597
598install-am: all-am
599 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
600
601installcheck: installcheck-recursive
602install-strip:
603 if test -z '$(STRIP)'; then \
604 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
605 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
606 install; \
607 else \
608 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
609 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
610 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
611 fi
612mostlyclean-generic:
613
614clean-generic:
615
616distclean-generic:
617 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
618 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
619
620maintainer-clean-generic:
621 @echo "This command is intended for maintainers to use"
622 @echo "it deletes files that may require special tools to rebuild."
623clean: clean-recursive
624
625clean-am: clean-generic mostlyclean-am
626
627distclean: distclean-recursive
628 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
629 -rm -f Makefile
630distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
631
632dvi: dvi-recursive
633
634dvi-am:
635
636html: html-recursive
637
638html-am:
639
640info: info-recursive
641
642info-am:
643
644install-data-am:
645
646install-dvi: install-dvi-recursive
647
648install-dvi-am:
649
650install-exec-am:
651
652install-html: install-html-recursive
653
654install-html-am:
655
656install-info: install-info-recursive
657
658install-info-am:
659
660install-man:
661
662install-pdf: install-pdf-recursive
663
664install-pdf-am:
665
666install-ps: install-ps-recursive
667
668install-ps-am:
669
670installcheck-am:
671
672maintainer-clean: maintainer-clean-recursive
673 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
674 -rm -rf $(top_srcdir)/autom4te.cache
675 -rm -f Makefile
676maintainer-clean-am: distclean-am maintainer-clean-generic
677
678mostlyclean: mostlyclean-recursive
679
680mostlyclean-am: mostlyclean-generic
681
682pdf: pdf-recursive
683
684pdf-am:
685
686ps: ps-recursive
687
688ps-am:
689
690uninstall-am:
691
692.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all \
693 ctags-recursive install-am install-strip tags-recursive
694
695.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
696 all all-am am--refresh check check-am clean clean-generic \
697 ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
698 dist-lzip dist-lzma dist-shar dist-tarZ dist-xz dist-zip \
699 distcheck distclean distclean-generic distclean-hdr \
700 distclean-tags distcleancheck distdir distuninstallcheck dvi \
701 dvi-am html html-am info info-am install install-am \
702 install-data install-data-am install-dvi install-dvi-am \
703 install-exec install-exec-am install-html install-html-am \
704 install-info install-info-am install-man install-pdf \
705 install-pdf-am install-ps install-ps-am install-strip \
706 installcheck installcheck-am installdirs installdirs-am \
707 maintainer-clean maintainer-clean-generic mostlyclean \
708 mostlyclean-generic pdf pdf-am ps ps-am tags tags-recursive \
709 uninstall uninstall-am
710
711
712# Tell versions [3.59,3.63) of GNU make to not export all variables.
713# Otherwise a system limit (for SysV at least) may be exceeded.
714.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.